package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.SBid;

/**
 * 项目Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface SBidMapper 
{
    /**
     * 查询项目
     * 
     * @param bidId 项目主键
     * @return 项目
     */
    public SBid selectSBidByBidId(String bidId);

    /**
     * 查询项目列表
     * 
     * @param sBid 项目
     * @return 项目集合
     */
    public List<SBid> selectSBidList(SBid sBid);

    /**
     * 新增项目
     * 
     * @param sBid 项目
     * @return 结果
     */
    public int insertSBid(SBid sBid);

    /**
     * 修改项目
     * 
     * @param sBid 项目
     * @return 结果
     */
    public int updateSBid(SBid sBid);

    /**
     * 删除项目
     * 
     * @param bidId 项目主键
     * @return 结果
     */
    public int deleteSBidByBidId(String bidId);

    /**
     * 批量删除项目
     * 
     * @param bidIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSBidByBidIds(String[] bidIds);
}
